Name:		iso-codes
Version:	4.17.0
Release:	%mkrel 2
Summary:	Mapping between ISO country codes and full names
Group:		System/Libraries
License:	LGPL-2.1-or-later
Url:		https://salsa.debian.org/iso-codes-team/iso-codes
Source0:	https://salsa.debian.org/iso-codes-team/iso-codes/-/archive/v%{version}/%{name}-v%{version}.tar.bz2

BuildArch:	noarch
BuildRequires:	gettext
BuildRequires:	python3

%description
This package provides the:
* ISO-639 Language code list
* ISO-4217 Currency code list
* ISO-3166 Territory code list
* ISO-3166-2 sub-territory lists
and all their translations in gettext .po form.

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
%configure
%make_build

%install
%make_install pkgconfigdir=%{_datadir}/pkgconfig

%find_lang iso_639
%find_lang iso_3166
%find_lang iso_3166_2
%find_lang iso_4217
%find_lang iso_639_3
%find_lang iso_15924
%find_lang iso_639_5
%find_lang iso_3166-1
%find_lang iso_3166-2
%find_lang iso_3166-3
%find_lang iso_639-2
%find_lang iso_639-3
%find_lang iso_639-5

cat iso_*.lang > %{name}.lang

%files -f %{name}.lang
%doc CHANGELOG.md README.md
%license COPYING
%{_datadir}/xml/%{name}/
%{_datadir}/%{name}/
%{_datadir}/pkgconfig/%{name}.pc


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 4.17.0-2.mga10
+ Revision: 2233234
- Mageia 10 Mass Rebuild

* Mon Dec 30 2024 daviddavid <daviddavid> 4.17.0-1.mga10
+ Revision: 2131606
- new version: 4.17.0

* Thu Feb 15 2024 daviddavid <daviddavid> 4.16.0-1.mga10
+ Revision: 2041330
- new version: 4.16.0

* Mon Mar 20 2023 luigiwalser <luigiwalser> 4.13.0-1.mga9
+ Revision: 1949874
- 4.13.0

* Thu Dec 29 2022 daviddavid <daviddavid> 4.12.0-1.mga9
+ Revision: 1927857
- new version: 4.12.0

* Mon Mar 21 2022 umeabot <umeabot> 4.6.0-3.mga9
+ Revision: 1814204
- Mageia 9 Mass Rebuild

* Thu Mar 11 2021 daviddavid <daviddavid> 4.6.0-2.mga9
+ Revision: 1701256
- use our %%configure macro

* Thu Mar 11 2021 daviddavid <daviddavid> 4.6.0-1.mga9
+ Revision: 1701249
- new version: 4.6.0

* Wed May 20 2020 daviddavid <daviddavid> 4.5.0-1.mga8
+ Revision: 1586313
- new version: 4.5.0

* Sun Feb 16 2020 umeabot <umeabot> 4.4-2.mga8
+ Revision: 1535046
- Mageia 8 Mass Rebuild

* Wed Oct 09 2019 daviddavid <daviddavid> 4.4-1.mga8
+ Revision: 1450692
- new version: 4.4

* Tue Aug 20 2019 daviddavid <daviddavid> 4.3-1.mga8
+ Revision: 1430516
- new version: 4.3

* Sat Feb 02 2019 luigiwalser <luigiwalser> 4.2-1.mga7
+ Revision: 1362681
- 4.2

* Sat Dec 29 2018 luigiwalser <luigiwalser> 4.1-1.mga7
+ Revision: 1346526
- 4.1

* Thu Sep 20 2018 umeabot <umeabot> 3.79-2.mga7
+ Revision: 1278881
- Mageia 7 Mass Rebuild

* Mon May 14 2018 akien <akien> 3.79-1.mga7
+ Revision: 1229394
- Version 3.79

* Wed Apr 26 2017 akien <akien> 3.75-1.mga6
+ Revision: 1097719
- Version 3.75

* Sun Jan 29 2017 akien <akien> 3.74-1.mga6
+ Revision: 1084069
- Version 3.74

* Tue Jan 10 2017 luigiwalser <luigiwalser> 3.73-1.mga6
+ Revision: 1080851
- 3.73

* Sun Jan 01 2017 luigiwalser <luigiwalser> 3.72-1.mga6
+ Revision: 1078962
- 3.72

* Sat Sep 10 2016 luigiwalser <luigiwalser> 3.70-1.mga6
+ Revision: 1051252
- 3.70

* Thu Aug 11 2016 luigiwalser <luigiwalser> 3.69-1.mga6
+ Revision: 1045492
- 3.69

* Fri May 06 2016 luigiwalser <luigiwalser> 3.68-1.mga6
+ Revision: 1010036
- 3.68

* Mon Jan 25 2016 luigiwalser <luigiwalser> 3.64-1.mga6
+ Revision: 927150
- 3.64

* Fri Jan 01 2016 luigiwalser <luigiwalser> 3.63-1.mga6
+ Revision: 917509
- 3.63

* Wed Dec 03 2014 philippem <philippem> 3.57-2.mga5
+ Revision: 800496
- drop BR: python-pyxml

* Mon Nov 03 2014 luigiwalser <luigiwalser> 3.57-1.mga5
+ Revision: 795352
- 3.57

* Wed Oct 15 2014 umeabot <umeabot> 3.56-3.mga5
+ Revision: 740559
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.56-2.mga5
+ Revision: 680573
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 luigiwalser <luigiwalser> 3.56-1.mga5
+ Revision: 671654
- 3.56

* Wed Jul 09 2014 luigiwalser <luigiwalser> 3.55-1.mga5
+ Revision: 650904
- 3.55

* Thu Jun 05 2014 luigiwalser <luigiwalser> 3.54-1.mga5
+ Revision: 633286
- 3.54

* Fri May 09 2014 luigiwalser <luigiwalser> 3.53-1.mga5
+ Revision: 621590
- 3.53

* Sat Apr 26 2014 luigiwalser <luigiwalser> 3.52-1.mga5
+ Revision: 618262
- 3.52

* Thu Feb 06 2014 dams <dams> 3.51-1.mga5
+ Revision: 583971
- new version 3.51

* Fri Jan 17 2014 luigiwalser <luigiwalser> 3.50-1.mga4
+ Revision: 566764
- 3.50

* Wed Dec 11 2013 luigiwalser <luigiwalser> 3.49-1.mga4
+ Revision: 556391
- 3.49

* Wed Nov 06 2013 luigiwalser <luigiwalser> 3.48-1.mga4
+ Revision: 549818
- 3.48

* Mon Oct 21 2013 umeabot <umeabot> 3.47-2.mga4
+ Revision: 538828
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 luigiwalser <luigiwalser> 3.47-1.mga4
+ Revision: 490514
- 3.47

* Sun Sep 01 2013 luigiwalser <luigiwalser> 3.46-1.mga4
+ Revision: 474178
- 3.46

* Tue Aug 06 2013 dams <dams> 3.45-1.mga4
+ Revision: 464208
- new version 3.45

* Thu Jul 04 2013 luigiwalser <luigiwalser> 3.44-1.mga4
+ Revision: 450016
- 3.44

* Tue Jun 11 2013 dams <dams> 3.43-1.mga4
+ Revision: 441938
- new version 3.43

* Thu May 23 2013 dams <dams> 3.42-1.mga4
+ Revision: 424994
- new version 3.42

* Sun Feb 24 2013 luigiwalser <luigiwalser> 3.41-1.mga3
+ Revision: 400208
- 3.41

* Sat Jan 12 2013 umeabot <umeabot> 3.40-2.mga3
+ Revision: 354566
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 dams <dams> 3.40-1.mga3
+ Revision: 314594
- new version 3.40
- update %%description
- now using .tar.xz instead of tar.bz2
- clean specfile

* Mon Jul 02 2012 luigiwalser <luigiwalser> 3.37-1.mga3
+ Revision: 266574
- 3.37

* Mon Jun 11 2012 luigiwalser <luigiwalser> 3.34-1.mga3
+ Revision: 259604
- 3.34

* Sat Feb 25 2012 tv <tv> 3.32-1.mga2
+ Revision: 214682
- new release
- fix download URL

* Sun Nov 27 2011 tv <tv> 3.30-1.mga2
+ Revision: 172586
- new release

* Wed Oct 12 2011 tv <tv> 3.29-1.mga2
+ Revision: 154051
- new release
- re-add signature

* Tue Sep 06 2011 wally <wally> 3.28-1.mga2
+ Revision: 139763
- new version 3.28
- clean .spec a bit
+ ahmad <ahmad>
- Update to 3.27

* Sun Jul 03 2011 ahmad <ahmad> 3.26-1.mga2
+ Revision: 117674
- Update to 3.26:
  o use the .orig tarball from Debian as ftp://pkg-isocodes.alioth.debian.org is
    down ATM

* Sat May 21 2011 ahmad <ahmad> 3.24-2.mga1
+ Revision: 99995
- Replace a reference to Mandriva with Mageia

* Sat Jan 15 2011 mikala <mikala> 3.24-1.mga1
+ Revision: 19204
- Remove mdk macros
- Remove BuildRoot
- imported package iso-codes


* Tue Jan 04 2011 Götz Waschk <waschk@mandriva.org> 3.24-1mdv2011.0
+ Revision: 628540
- update to new version 3.24

* Wed Dec 08 2010 Götz Waschk <waschk@mandriva.org> 3.23-1mdv2011.0
+ Revision: 616053
- update to new version 3.23

* Thu Nov 11 2010 Götz Waschk <waschk@mandriva.org> 3.22-1mdv2011.0
+ Revision: 595976
- update to new version 3.22

* Fri Oct 08 2010 Götz Waschk <waschk@mandriva.org> 3.21-1mdv2011.0
+ Revision: 584137
- update to new version 3.21

* Wed Sep 08 2010 Götz Waschk <waschk@mandriva.org> 3.20-1mdv2011.0
+ Revision: 576758
- update to new version 3.20

* Sat Aug 07 2010 Götz Waschk <waschk@mandriva.org> 3.19-1mdv2011.0
+ Revision: 567292
- update to new version 3.19

* Mon Mar 01 2010 Frederik Himpe <fhimpe@mandriva.org> 3.14-1mdv2010.1
+ Revision: 513237
- update to new version 3.14

* Tue Feb 02 2010 Frederik Himpe <fhimpe@mandriva.org> 3.13-1mdv2010.1
+ Revision: 499748
- update to new version 3.13

* Fri Jan 01 2010 Frederik Himpe <fhimpe@mandriva.org> 3.12.1-1mdv2010.1
+ Revision: 484752
- update to new version 3.12.1

* Sat Dec 05 2009 Götz Waschk <waschk@mandriva.org> 3.12-1mdv2010.1
+ Revision: 473844
- update to new version 3.12

* Mon Nov 23 2009 Götz Waschk <waschk@mandriva.org> 3.11.1-1mdv2010.1
+ Revision: 469292
- update to new version 3.11.1

* Thu Oct 01 2009 Frederik Himpe <fhimpe@mandriva.org> 3.11-1mdv2010.0
+ Revision: 452261
- update to new version 3.11

* Tue Sep 01 2009 Frederik Himpe <fhimpe@mandriva.org> 3.10.3-1mdv2010.0
+ Revision: 423684
- update to new version 3.10.3

* Mon Aug 03 2009 Frederik Himpe <fhimpe@mandriva.org> 3.10.2-1mdv2010.0
+ Revision: 408491
- update to new version 3.10.2

* Sat Jun 27 2009 Frederik Himpe <fhimpe@mandriva.org> 3.10.1-1mdv2010.0
+ Revision: 389594
- update to new version 3.10.1

* Mon Jun 01 2009 Frederik Himpe <fhimpe@mandriva.org> 3.10-1mdv2010.0
+ Revision: 381833
- update to new version 3.10

* Fri May 01 2009 Frederik Himpe <fhimpe@mandriva.org> 3.9-1mdv2010.0
+ Revision: 370013
- Update to new version 3.9

  + Götz Waschk <waschk@mandriva.org>
    - new version

* Fri Feb 06 2009 Götz Waschk <waschk@mandriva.org> 3.6-1mdv2009.1
+ Revision: 338043
- update to new version 3.6

* Wed Jan 07 2009 Götz Waschk <waschk@mandriva.org> 3.5.1-1mdv2009.1
+ Revision: 326460
- update to new version 3.5.1

* Thu Dec 04 2008 Götz Waschk <waschk@mandriva.org> 3.5-1mdv2009.1
+ Revision: 309890
- update to new version 3.5

* Wed Nov 05 2008 Götz Waschk <waschk@mandriva.org> 3.4-1mdv2009.1
+ Revision: 299989
- update to new version 3.4

* Fri Aug 29 2008 Götz Waschk <waschk@mandriva.org> 3.3-1mdv2009.0
+ Revision: 277261
- new version

* Mon Aug 04 2008 Götz Waschk <waschk@mandriva.org> 3.2-1mdv2009.0
+ Revision: 262949
- new version

* Wed Jul 02 2008 Götz Waschk <waschk@mandriva.org> 3.1-1mdv2009.0
+ Revision: 230753
- new version
- new URL
- add tarball signature file
- fix license

* Mon Jun 09 2008 Götz Waschk <waschk@mandriva.org> 3.0-1mdv2009.0
+ Revision: 217021
- new version

* Mon May 05 2008 Götz Waschk <waschk@mandriva.org> 2.1-1mdv2009.0
+ Revision: 201276
- new version

* Tue Apr 08 2008 Götz Waschk <waschk@mandriva.org> 2.0-1mdv2009.0
+ Revision: 192394
- new version

* Sun Feb 10 2008 Götz Waschk <waschk@mandriva.org> 1.9-1mdv2008.1
+ Revision: 164966
- new version

* Tue Jan 08 2008 Götz Waschk <waschk@mandriva.org> 1.8-1mdv2008.1
+ Revision: 146366
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Dec 30 2007 Götz Waschk <waschk@mandriva.org> 1.7-1mdv2008.1
+ Revision: 139617
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 06 2007 Götz Waschk <waschk@mandriva.org> 1.6-1mdv2008.1
+ Revision: 115826
- new version

* Sun Oct 07 2007 Götz Waschk <waschk@mandriva.org> 1.5-1mdv2008.1
+ Revision: 95678
- new version
- add iso 15924 translation

* Wed Aug 29 2007 Götz Waschk <waschk@mandriva.org> 1.4-1mdv2008.0
+ Revision: 73346
- new version

* Thu Aug 02 2007 Götz Waschk <waschk@mandriva.org> 1.3-1mdv2008.0
+ Revision: 57991
- new version

* Fri Jul 06 2007 Götz Waschk <waschk@mandriva.org> 1.2-1mdv2008.0
+ Revision: 48892
- new version
- drop extra iso_639/nl.po, it was updated upstream


* Wed Mar 28 2007 Götz Waschk <waschk@mandriva.org> 1.0-2mdv2007.1
+ Revision: 149081
- fix Dutch translation (bug #29936)

* Wed Dec 06 2006 Götz Waschk <waschk@mandriva.org> 1.0-1mdv2007.1
+ Revision: 91683
- new version

* Thu Nov 16 2006 Götz Waschk <waschk@mandriva.org> 0.58-1mdv2007.1
+ Revision: 85016
- Import iso-codes

* Thu Nov 16 2006 Götz Waschk <waschk@mandriva.org> 0.58-1mdv2007.1
- new version

* Tue Aug 29 2006 Götz Waschk <waschk@mandriva.org> 0.53-1mdv2007.0
- New release 0.53

* Wed Jul 12 2006 Götz Waschk <waschk@mandriva.org> 0.52-1mdv2007.0
- fix build
- New release 0.52

* Thu Apr 27 2006 Götz Waschk <waschk@mandriva.org> 0.51-1mdk
- New release 0.51

* Wed Mar 15 2006 Götz Waschk <waschk@mandriva.org> 0.50-1mdk
- use Debian's source tarball
- new version

* Wed Nov 02 2005 Götz Waschk <waschk@mandriva.org> 0.49-1mdk
- New release 0.49

* Thu Aug 25 2005 Götz Waschk <waschk@mandriva.org> 0.47-1mdk
- New release 0.47

* Fri Apr 29 2005 Götz Waschk <waschk@mandriva.org> 0.46-3mdk
- fix pkgconfig file location

* Wed Apr 13 2005 Götz Waschk <waschk@linux-mandrake.com> 0.46-2mdk
- fix buildrequires

* Wed Apr 13 2005 Götz Waschk <waschk@linux-mandrake.com> 0.46-1mdk
- initial package

